apiVersion: ryax.tech/v2.0
kind: Processor
spec:
  categories:
  - Action
  - Images
  - Default Actions
  description: Download a PNG icon from an open source icon bank and return it as
    a file.
  human_name: Download Icon
  id: downloa-2023-03-20-14-12
  inputs:
  - help: URL of the icon to download.
    human_name: Icon URL
    name: url
    type: string
  - help: Filename to save the icon as.
    human_name: Filename
    name: filename
    type: string
  logo: logo.png
  outputs:
  - help: The downloaded icon file.
    human_name: Icon file
    name: file
    type: file
  type: python3
  version: '1.0'
